Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel
Class MessageDaoImpl

    java.lang.Object
      org.apache.ode.daohib.bpel.HibernateDao
          org.apache.ode.daohib.bpel.MessageDaoImpl

All Implemented Interfaces:
  MessageDAO

    public class MessageDaoImpl

extends HibernateDao
implements MessageDAO

Field Summary

Fields inherited from class org.apache.ode.daohib.bpel.HibernateDao
`_hobj, _sm`

Constructor Summary
`MessageDaoImpl(SessionManager sessionManager, HMessage hobj)`

Method Summary
`org.w3c.dom.Element` | `getData()`
`org.w3c.dom.Element` | `getHeader()`
`MessageExchangeDAO` | `getMessageExchange()`
`javax.xml.namespace.QName` | `getType()`
`void` | `setData(org.w3c.dom.Element value)`
`void` | `setHeader(org.w3c.dom.Element value)`
`void` | `setType(javax.xml.namespace.QName type)`

Methods inherited from class org.apache.ode.daohib.bpel.HibernateDao
`deleteByIds, equals, getDHandle, getHibernateObj, getId, getSession, hashCode, update`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDaoImpl

    public MessageDaoImpl(SessionManager sessionManager,
                          HMessage hobj)

Method Detail

### setType

    public void setType(javax.xml.namespace.QName type)

  Specified by:
    `setType` in interface `MessageDAO`

### getType

    public javax.xml.namespace.QName getType()

  Specified by:
    `getType` in interface `MessageDAO`

### setData

    public void setData(org.w3c.dom.Element value)

  Specified by:
    `setData` in interface `MessageDAO`

### getData

    public org.w3c.dom.Element getData()

  Specified by:
    `getData` in interface `MessageDAO`

### setHeader

    public void setHeader(org.w3c.dom.Element value)

  Specified by:
    `setHeader` in interface `MessageDAO`

### getHeader

    public org.w3c.dom.Element getHeader()

  Specified by:
    `getHeader` in interface `MessageDAO`

### getMessageExchange

    public MessageExchangeDAO getMessageExchange()

  Specified by:
    `getMessageExchange` in interface `MessageDAO`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD